<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'riders'}}]">Riders ></a>
            </li>
            <li class="">
                Rider Detail

            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                        <a href="" style="text-decoration: none;color: black;">
                            <h5>Rider Kyc Detail</h5>
                        </a>

                    </div>
                    <!-- <div class="col-6 txtright">
                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel">
                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                        </button>
                    </div> -->
                </div>
                <hr>
                <!-- <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            <div class="p-2 bd-highlight">
                                <!-- <button class="btn btnclrs adduser" tabindex="0">
                                    <i class="fa fa-plus-circle pr-1"></i>
                                    Add Traveller
                                </button> -->
                            <!-- </div> -->
                            <!-- <div class="p-2 bd-highlight"> -->
                                <!-- <button class="btn doubleleft adduser" tabindex="0">
                                    <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                                    Back
                                </button> -->
                            <!-- </div> -->

                        <!-- </div> -->
                    <!-- </div> -->
                    <!-- <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search Traveller..." type="text">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div> -->
                <!-- </div> --> 
                <!-- <div class="AddTrvellers">
                    <form action="" autocomplete="off">
                <div class="row py-2">
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="text" class="form-control" name="name" placeholder="Name">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="email" class="form-control" name="email" placeholder="Email">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="tel" class="form-control" name="phoneNumber" placeholder="Phone Number">
                    </div>
                    
                </div>
                <div class="row py-2">
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="email" class="form-control" name="organizationEmail" placeholder="Organization Enail">
                    </div>
                    <div class="col-4 col-md-4 col-lg-4 col-sm-4">
                        <input type="password" class="form-control" name="password" placeholder="password">
                    </div>
                </div>
                <button type="submit"class="btn btnclrs mr-auto">Submit</button>
            </form>
            </div> -->
                <div class="py-2">
                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active" id="pills-kyc-tab" data-toggle="pill" href="#pills-kyc"
                                role="tab" aria-controls="pills-kyc" aria-selected="true" >KYC Details</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link" id="pills-vehicle-tab" data-toggle="pill" href="#pills-vehicle"
                                role="tab" aria-controls="pills-vehicle" aria-selected="false" >Vehicle Details</a>
                        </li>

                    </ul>
                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-kyc" role="tabpanel" aria-labelledby="pills-kyc-tab">
                            <section class="kyc_details">
                                <div class="container-fluid">
                                   
                                    <div class="card">
                                        <!-- <div class="card-body"> -->
                                            

                                            <div
                                                class="card mb-3 shadow-sm address-card bg-white rounded ng-star-inserted">
                                                <h5 class="card-header address-card-header">
                                                    <i aria-hidden="true" class="fa fa-id-card"></i>&nbsp; GovtId: {{govtID}}
                                                </h5>
                                                <div class="row ng-star-inserted">
                                                    <div class="col-sm-8 mt-4">
                                                        <img class="img_path" [src]="imageData" width="350"
                                                            height="150"></div>
                                                    <div class="col-sm-4">
                                                        <!-- <button type="submit"
                                                        class="btn btnbgclr_acc btn-success px-4 mt-5">Approve</button>
                                                    &nbsp; -->
                                                    <!-- <button type="submit"
                                                    class="btn btn-danger btnbgclr_reg px-4 mt-5">Reject</button> -->
                                                        <form action="" [formGroup]="riderGovtIdapprovalForm"
                                                            (ngSubmit)="approvalRiderGovtStatus(riderGovtIdapprovalForm)">
                                                            <button type="submit"
                                                                class="btn btnbgclr_acc btn-success px-4 mt-2">Approve</button>
                                                            &nbsp;
                                                        </form>
                                                        <form action="" [formGroup]="riderRejectGovtIdForm"
                                                            (ngSubmit)="rejectGovtIdStatus(riderRejectGovtIdForm)">

                                                            <button type="submit"
                                                                class="btn btn-danger btnbgclr_reg px-4 mt-2">Reject</button>
                                                        </form> <br>
                                                        <ui-switch [(ngModel)]="govtIdverifStatus"></ui-switch>
                                                    </div>
                                                </div>



                                            </div>


                                            
                                            <div
                                                class="card mb-3 shadow-sm address-card bg-white rounded ng-star-inserted">
                                                <h5 class="card-header address-card-header">
                                                    <i aria-hidden="true" class="fa fa-id-card"></i>&nbsp; Driving License:
                                                    {{drivingLicense}}
                                                </h5>
                                                <div class="row ng-star-inserted">
                                                    <div class="col-sm-8 mt-4">
                                                      
                                                        <img class="img_path" [src]="drivingLicenseDoc" width="350"
                                                            height="150"></div>
                                                    <div class="col-sm-4">
                                                        <!-- <button type="submit"
                                                        class="btn btnbgclr_acc btn-success px-4 mt-5">Approve</button>
                                                    &nbsp; -->
                                                    <!-- <button type="submit"
                                                    class="btn btn-danger btnbgclr_reg px-4 mt-5">Reject</button> -->
                                                        <form action="" [formGroup]="approvalDrivingLicenseForm"
                                                            (ngSubmit)="approvalDLStatus(approvalDrivingLicenseForm)">
                                                            <button type="submit"
                                                                class="btn btnbgclr_acc btn-success px-4 mt-2">Approve</button>
                                                            &nbsp;
                                                        </form> 
                                                        <form action="" [formGroup]="rejectDlForm"
                                                            (ngSubmit)="rejectDlStatus(rejectDlForm)">

                                                            <button type="submit"
                                                                class="btn btn-danger btnbgclr_reg px-4 mt-2">Reject</button>
                                                        </form> <br>
                                                        <ui-switch [(ngModel)]="dlIdverifStatus"></ui-switch>
                                                    </div>
                                                </div>
                                            </div>
                                        <!-- </div> -->
                                    </div>
                                </div>
                            </section>

                          
                        </div>
                        <div class="tab-pane fade" id="pills-vehicle" role="tabpanel"
                            aria-labelledby="pills-vehicle-tab">
                            <section class="kyc_details">
                                <div class="container-fluid">
                                   
                                    <div class="card">
                                        <div class="card-body">
                                            
                                            <!-- <table class="table table-bordered">
                                                <thead>
                                                  <tr>
                                                    <th scope="col" colspan="2">Vehicle Details</th>
                                                    
                                                   
                                                  </tr>
                                                </thead>
                                                <tbody>
                                                  <tr >
                                                    <td >Vehicle Type</td>
                                                    <td>{{vehicleInfo.vehicletype}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Vehicle Brand</td>
                                                    <td>{{vehicleInfo.brand}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Registration number</td>
                                                    <td>{{vehicleInfo.registrationNumber}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Km/ltr</td>
                                                    <td>{{vehicleInfo.charge_KM}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Color</td>
                                                    <td>{{vehicleInfo.color}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Offering seats</td>
                                                    <td>{{vehicleInfo.seat}}</td>
                                                   
                                                  </tr>
                                                  <tr>
                                                    <td >Fuel Type</td>
                                                    <td>{{vehicleInfo.fuelType}}</td>
                                                   
                                                  </tr>
                                                 
                                                </tbody>
                                              </table> -->

                                              <table class="table table-striped table-bordered">
                                                <thead>
                                                  <tr>
                                                    <th scope="col">Sl.No</th>
                                                    <th scope="col">Vehicle Type</th>
                                                    <th scope="col">Brand</th>
                                                    <th scope="col">Color</th>
                                                    <th>Fuel Type</th>
                                                    <th>Helmet</th>
                                                    <th>Charge_Km</th>
                                                    <th>Registration Number</th>
                                                    <th>Seat</th>
                                                 
                                                  </tr>
                                                </thead>
                                                <tbody>
                                                  <tr *ngFor = "let vehicle of vehicleInfo;let i=index">
                                                    <th scope="row">{{i+1}}</th>
                                                    <td>{{vehicle.vehicletype}}</td>
                                                    <td>{{vehicle.brand}}</td>
                                                    <td>{{vehicle.color}}</td>
                                                    <td>{{vehicle.fuelType}}</td>
                                                    <td>{{vehicle.helmet}}</td>
                                                    <td>{{vehicle.charge_KM}}</td>
                                                    <td>{{vehicle.registrationNumber}}</td>
                                                    <td>{{vehicle.seat}}</td>
                                                 
                                                  </tr>
                                                
                                                </tbody>
                                              </table>
                                            
                                           
                                        </div>
                                    </div>
                                </div>
                            </section>
                        </div>
                            
                    </div>

                </div>


            </div>
        </div>
    </div>
</section>


<!-- <router-outlet></router-outlet> -->